For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Payments
              • GETGet Payment Detail
              • DELDelete Payment
              • GETGet Payment Operation
              • POSTPerform Payment Operation
              • PUTUpdate Payment Processing Status
              • GETList Payment Transactions
              • POSTCreate Offline Payment
              • PUTUpdate Offline Payment
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementPayments

List Payments

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/payments
GET
/api/v3/io/ip/payments
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/payments \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 117,
6 "createdAt": 1635932127,
7 "updatedAt": 1635932127,
8 "storeHash": "rtmh8fqr05",
9 "customerId": "6041",
10 "externalId": null,
11 "externalCustomerId": null,
12 "payerName": "Check",
13 "payerCustomerId": "6041",
14 "details": {
15 "memo": "Payment received via offline check"
16 },
17 "moduleName": "payments_offline",
18 "fees": [],
19 "moduleData": {
20 "transactions": [
21 {
22 "memo": "Payment processed offline",
23 "type": "OfflineTransaction",
24 "rawTransaction": null
25 }
26 ]
27 },
28 "processingStatus": 3,
29 "appliedStatus": 1,
30 "fundingStatus": 2,
31 "total": {
32 "code": "GBP",
33 "value": "0.7800"
34 },
35 "lineItems": [
36 {
37 "paymentId": 117,
38 "invoiceId": 141,
39 "invoiceNumber": "00000141",
40 "amount": {
41 "code": "GBP",
42 "value": "0.7800"
43 }
44 }
45 ],
46 "customerName": "Acme Corporation",
47 "allowedOperations": [],
48 "allowedStatuses": [
49 1,
50 2,
51 3,
52 4
53 ],
54 "channelId": "default",
55 "channelName": "Main Storefront"
56 }
57 ],
58 "meta": {
59 "message": "SUCCESS",
60 "pagination": {
61 "totalCount": 2,
62 "offset": 0,
63 "limit": 10
64 }
65 }
66}
Get payment list
Was this page helpful?
Previous

Get Invoice Extra Field Configs

Next

Get Payment Detail

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

offsetdoubleOptional
Pagination offset
limitdoubleOptional
Pagination limit
orderByenumOptional
"DESC" or "ASC"
Allowed values:
sortByenumOptional
Sort by the field value
searchByenumOptional
Filter by a field
Allowed values:
qstringOptional
You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
customerNamestringOptional
Query by invoice B2B Edition company name
invoiceIddoubleOptional
Query by Invoice ID
processingStatusenumOptional

payment processing status(0=“Incomplete”, 1=“Awaiting Processing”, 2=“Processing”, 3=“Completed”, 4=“Refunded”)

Allowed values:
channelIdslist of doublesOptional
Query by BigCommerce Channel IDs. This parameter is not needed if you don't have multiple storefront channels.

Response

OK
codedouble
datalist of objects
metaobject
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.